<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      ng-app="portalApp" ng-cloak>

<head>

    <meta charset="UTF-8"></meta>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"></meta>
    <meta name="viewport" content="width=device-width, initial-scale=1"></meta>
    <meta name="description" content="Autobörse"></meta>

    <!-- CSS  -->
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic&amp;subset=latin"></link>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,700"></link>
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Raleway:400,100,200,300,500,600,700,800,900"></link>
    <link rel="stylesheet" href="assets/tether/tether.min.css"></link>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css"></link>
    <!--link-- rel="stylesheet" href="assets/socicon/css/socicon.min.css"></link-->
    <!--link rel="stylesheet" href="assets/animate.css/animate.min.css"></link-->
    <!--link rel="stylesheet" href="assets/theme/css/style.css"></link-->
    <link rel="stylesheet" href="assets/sticky-footer/sticky-footer.css"></link>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.11.1/bootstrap-table.min.css">


    <!-- Scripts -->
    <script src="assets/web/assets/jquery/jquery.min.js"></script>
    <script data-require="angular.js@*" data-semver="1.5.8" src="http://code.angularjs.org/1.5.8/angular.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/angularjs/1.6.1/angular-animate.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/angularjs/1.6.1/angular-sanitize.js"></script>
    <script src="assets/tether/tether.min.js"></script>
    <script src="assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="assets/bootstrap/js/ui-bootstrap-tpls-2.5.0.min.js"></script>
    <!--script src="assets/smooth-scroll/SmoothScroll.js"></script-->
    <!--script src="assets/viewportChecker/jquery.viewportchecker.js"></script-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular-filter/0.5.8/angular-filter.min.js"></script>
    <script src="http://angular-ui.github.io/bootstrap/ui-bootstrap-tpls-2.5.0.min.js"></script>
    <!--script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=true&libraries=places&key=AIzaSyDPwIpVJMTS61rcgljoRt6Ubz65YzlHYHA"></script-->
    <script data-require="ui-utils@*" data-semver="0.1.1"
            src="//cdnjs.cloudflare.com/ajax/libs/angular-ui-utils/0.1.1/angular-ui-utils.min.js"></script>
    <!--script data-require="angular-sanitize@1.4.x" data-semver="1.4.2" src="//code.angularjs.org/1.4.2/angular-sanitize.js"></script-->
    <!-- Latest compiled and minified JavaScript -->


    <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.11.1/bootstrap-table.min.js"></script>

    <!-- Latest compiled and minified Locales -->
    <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.11.1/locale/bootstrap-table-zh-CN.min.js"></script>

    <script src="./js/globalModule.js" type="text/javascript"></script>
    <script src="./js/kaufenController.js" type="text/javascript"></script>
    <script src="./js/lrDragNDrop.js" type="text/javascript"></script>
    <script src="./js/smart-table.debug.js" type="text/javascript"></script>
    <script src="./js/angular-modal-service.js"></script>

    <style>
        .form-control {
            height: 35px;
        !important;
        }
    </style>
</head>

<!-- Anbindung -->

<body ng-controller="kaufenController">
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="page-header">
                <h1>
                    Suche dein Auto!
                    <small>Hier verstecken sich deine Träume</small>
                </h1>
            </div>
            <div class="row">
                <div class="col-md-4">
                </div>
                <div class="col-md-4">
                </div>
                <div class="col-md-4">
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-marke">Marke</label>
                        <input type="text" class="form-control" name="marke" required="true" data-form-field="mark"
                               id="form1-0-marke" ng-model="sBrandName">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-model">Modell</label>
                        <input type="text" class="form-control" name="model" required="true" data-form-field="model"
                               id="form1-0-model" ng-model="sBrandModel">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-color">Farbe</label>
                        <input type="text" class="form-control" name="color" required="true" data-form-field="color"
                               id="form1-0-color" ng-model="sColor">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-kraftstoff">Kraftstoff</label>
                        <input type="text" class="form-control" name="kraftstoff" required="true"
                               data-form-field="kraftstoff" id="form1-0-kraftstoff" ng-model="sKraftstoff">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-plz">PLZ</label>
                        <input type="text" class="form-control" name="plz" required="true" data-form-field="Name"
                               id="form1-0-plz" ng-model="sPLZ">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-stadt">Stadt</label>
                        <input type="text" class="form-control" name="stadt" required="true" data-form-field="Name"
                               id="form1-0-stadt" ng-model="sStadt">
                    </div>
                </div>

            </div>
            <hr>
            <div class="row">
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-minHorsepower">Leistung(PS) min</label>
                        <input type="text" class="form-control" name="minHorsepower" required="true"
                               data-form-field="mark" id="form1-0-minHorsepower" ng-model="minHorsepower">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-maxHorsepower">Leistung(PS) max</label>
                        <input type="text" class="form-control" name="maxHorsepower" required="true"
                               data-form-field="model" id="form1-0-maxHorsepower" ng-model="maxHorsepower">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-minPrice">Preis (min)</label>
                        <input type="text" class="form-control" name="minPrice" required="true"
                               data-form-field="minPrice" id="form1-0-minPrice" ng-model="minPrice">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-maxPrice">Preis (max)</label>
                        <input type="text" class="form-control" name="maxPrice" required="true"
                               data-form-field="maxPrice" id="form1-0-maxPrice" ng-model="maxPrice">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-minKm">Kilometerstand (min)</label>
                        <input type="text" class="form-control input-lg" name="maxKm" required="true"
                               data-form-field="maxKm" id="form1-0-minKm" ng-model="minKm">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-maxKm">Kilometerstand (max)</label>
                        <input type="text" class="form-control input-lg" name="maxKm" required="true"
                               data-form-field="maxKm" id="form1-0-maxKm" ng-model="maxKm">
                    </div>
                </div>
                <!--div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-minFirstRegistration">Erstzulassung von</label>
                        <input type="date" class="form-control input-sm" name="minFirstRegistration" required="true" data-form-field="Name" id="form1-0-minFirstRegistration" ng-model="dueDate">
                    </div>
                </div>
                <div class="col-xs-12 col-md-2">
                    <div class="form-group">
                        <label class="form-control-label" for="form1-0-maxFirstRegistration">Erstzulassung bis</label>
                        <input type="date" class="form-control input-sm" name="maxFirstRegistration" required="true" data-form-field="Name" id="form1-0-maxFirstRegistration" ng-model="toDate">
                    </div>
                </div-->
            </div> <!--end row-->
        </div>
        <div class="container-fluid table-container">
            <br/>
            <hr>
            <br/><br/>
            <h2>Treffer</h2>
            <table id="table" class="table table-hover table-bordered" data-toggle="car" data-sort-name="id"
                   data-sort-order="asc">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>Marke/Modell</th>
                    <th>Farbe</th>
                    <th>Kraftstoff</th>
                    <th>Leistung (PS)</th>
                    <th>Erstzulassung</th>
                    <th>Kilometerstand</th>
                    <th>Preis in €</th>
                    <th>VerkäuferIn</th>
                    <th>PLZ/Ort</th>
                    <th>Delete</th>
                </tr>
                </thead>
                <tr ng-repeat="car in cars | filter:{id: sId, color:sColor, brand: {brandName: sBrandName, model: sBrandModel},
                                    fuelType: sKraftstoff, location: {postalCode: sPLZ, locationName: sStadt} }| filter: horsepowerFilter | filter: priceFilter | filter:kmFilter">
                    <td>{{car.id}}</td>
                    <td>{{car.brand.brandName}} {{car.brand.model}}</td>
                    <td>{{car.color}}</td>
                    <td>{{car.fuelType}}</td>
                    <td>{{car.horsepower}}</td>
                    <td>{{car.firstRegistration | date: 'dd.MM.yyyy'}}</td>
                    <td>{{car.km | number}} km</td>
                    <td>{{car.price | number}} €</td>
                    <td>{{car.seller.firstName}} {{car.seller.lastName}}<br>Firma: {{car.seller.companyName}} <br/>Tel.: {{car.seller.telephoneNumber}} <br/>Mobil: {{car.seller.mobileNumber}}<br/>E-Mail: {{car.seller.email}}</td>
                    <td>{{car.location.postalCode}}<br/>{{car.location.locationName}}</td>
                    <td><a ng-click="deleteCar(car.id)"><i class="fa fa-trash-o" aria-hidden="true"></i></a></td>

                </tr>
            </table>
        </div>
    </div>
</div>
</body>

<footer class="stickyfooter">
    <div class="container">
        &nbsp; &nbsp; <a href="impressum.html"> Impressum</a> &nbsp; <a href="datenschutz.html"> Datenschutz</a> &nbsp;&nbsp;&nbsp;
        <a href="index.html">Startseite</a> &nbsp;&nbsp;&nbsp;
        <a href="kaufen.html">Kaufen</a> &nbsp;&nbsp;&nbsp;
        <a href="verkaufen.html">Verkaufen</a>
    </div>
</footer>

</html>